/*****************************************************************
 * FlexDebug.h
 * 
 * This is the header file for the code necessary to write a
 * debugging module for the FlexBot MOD in Half-Life. If you are
 * writing a FlexDebug module, there is no need to modify this file.
 * All debugger-specific code can be placed in the
 * "FlexDebug.cpp" file.
 *
 * If placed in the FlexDebug directory within the FlexBot directory,
 * this debugging module will receive all debugging messages passed
 * to FlexBot by individual bots. Keep in mind that calls to this
 * debugging module are synchronous (blocking), so it is important
 * to make your FlexDebug module code efficient so as not to adversely
 * impact game performance.
 *****************************************************************/

#ifdef FLEXDEBUG_EXPORTS
#define FLEXDEBUG_API __declspec(dllexport)
#else
#define FLEXDEBUG_API __declspec(dllimport)
#endif

FLEXDEBUG_API void Reset(void);
FLEXDEBUG_API void BotRemoved(int);
FLEXDEBUG_API void DebugMessage(int botNum, const char * msg);

